Name:           perl-Mojolicious-Plugin-Database
Version:        1.09
Release:        1.beta1%{?dist}
Summary:        Mojolicious::Plugin::Database Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mojolicious-Plugin-Database/
Source0:        http://www.cpan.org/authors/id/M/MA/MADCAT/Mojolicious-Plugin-Database-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.010001
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBI)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Mojo::Base)
BuildRequires:  perl(Mojolicious::Lite)
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(DBI)
Requires:       perl(Mojo::Base)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Provides "sane" handling of DBI connections so problems with pre-forking
(Hypnotoad, etc.) will not occur.

%prep
%setup -q -n Mojolicious-Plugin-Database-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# Workaround README.pod being installed as a PM
find $RPM_BUILD_ROOT -type f -name \*README\* -exec rm -f "{}" \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README.pod
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 21 2015 Daniel Berteaud <daniel@firewall-services.com> - 1.09-2
- First build using spanspec
